<h1> Эмулях </h1>

<form action="" method="post">
<input type="text" name="sentence" style="width: 100%" /> <br />
<input type="submit" />
</form>

<% if params[:sentence] %>

<%
  response = Open3.popen3("hmark /home/bitcheese_net/l29ah burst") do |stdin, stdout, stderr|
    Rails.logger.warn("writing #{params[:sentence]}")
    stdin.write(params[:sentence])
    stdin.close
    err = stderr.read
    Rails.logger.error "hmark fucked up: #{err}" unless err.empty?
    stdout.read
  end
   Rails.logger.warn("got #{response}")
%>

<pre>
[you] <%= h params[:sentence] %>
[emul29ah] <%= h response %>
</pre>

<% end %>
